Package tigase.eventbus.impl

# Class ReflectEventRoutingSelector

java.lang.Object
tigase.eventbus.impl.ReflectEventRoutingSelector

All Implemented Interfaces:
  `EventRoutingSelector`

public class ReflectEventRoutingSelector extends Object implements EventRoutingSelector
This class is implementation of `EventRoutingSelector` used when this selector is created based on annotated method of consumer class.

Author:
  andrzej

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectEventRoutingSelector(Class eventClass, Object consumer, Method method)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Class`
  `getEventClass()`
  Returns class of event for which it modifies delivery
  `Collection<Subscription>`
  `getSubscriptions(Object event, Collection<Subscription> subscriptions)`
  Method responsible for actual modification of delivery by adding and removing items to Subscriptions collection
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReflectEventRoutingSelector

    public ReflectEventRoutingSelector(Class eventClass, Object consumer, Method method)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getEventClass

    public Class getEventClass()
    Description copied from interface: `EventRoutingSelector`
    Returns class of event for which it modifies delivery
    Specified by:
      `getEventClass` in interface `EventRoutingSelector`

  - ### getSubscriptions

    public Collection<Subscription> getSubscriptions(Object event, Collection<Subscription> subscriptions)
    Description copied from interface: `EventRoutingSelector`
    Method responsible for actual modification of delivery by adding and removing items to Subscriptions collection
    Specified by:
      `getSubscriptions` in interface `EventRoutingSelector`
    Parameters:
      `event` - instance of event
      `subscriptions` - original list of subscriptions

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`